petsc-3.6.2 2015-10-02
Report Typos and Errors

# MATSEQAIJVIENNACL

MATAIJVIENNACL = "aijviennacl" = "seqaijviennacl" - A matrix type to be used for sparse matrices. A matrix type type whose data resides on GPUs. These matrices are in CSR format by default. All matrix calculations are performed using the ViennaCL library.

### Options Database Keys

| -mat_type aijviennacl | - sets the matrix type to "seqaijviennacl" during a call to MatSetFromOptions()
| -mat_viennacl_storage_format csr | - sets the storage format of matrices for MatMult during a call to MatSetFromOptions().
| -mat_viennacl_mult_storage_format csr | - sets the storage format of matrices for MatMult during a call to MatSetFromOptions().

### See Also

MatCreateSeqAIJViennaCL(), MATAIJVIENNACL, MatCreateAIJViennaCL()

Level:beginner
Location:src/mat/impls/aij/seq/seqviennacl/aijviennacl.cxx
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages